Bug 120447 - kernel source is missing
kernel source is missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 16:31 EDT by Lee Olsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 11:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Olsen 2004-04-08 16:31:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I know you chose to do this, but you can't.
Most newer sound cards use the alsa sound system, and it won't install
without kernel source.
In addition, the kernel source on the download site does not match the
binaries. Nor does it compile:
arch/i386/kernel/kernel.o(.text.init+0x5cf8): In function
`acpi_parse_lapic':
: undefined reference to `acpi_table_print_madt_entry'
arch/i386/kernel/kernel.o(.text.init+0x5d68): In function
`acpi_parse_lapic_nmi':
: undefined reference to `acpi_table_print_madt_entry'
arch/i386/kernel/kernel.o(.text.init+0x5e90): In function
`acpi_boot_init':
: undefined reference to `acpi_table_init'
arch/i386/kernel/kernel.o(.text.init+0x5ea9): In function
`acpi_boot_init':
: undefined reference to `acpi_table_parse'
arch/i386/kernel/kernel.o(.text.init+0x5ed5): In function
`acpi_boot_init':
: undefined reference to `acpi_table_parse_madt'
arch/i386/kernel/kernel.o(.text.init+0x5f0b): In function
`acpi_boot_init':
: undefined reference to `acpi_table_parse_madt'
arch/i386/kernel/kernel.o(.text.init+0x5f2a): In function
`acpi_boot_init':
: undefined reference to `acpi_table_parse_madt'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2174.nptl'
make: *** [vmlinux] Error 2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Build alsa sound driver
2.Note failed dependencies on missing kernel headers
3.
    

Actual Results:  Drivers installed in old (Redhat 7.3) directories

Expected Results:  Sound

Additional info:
Comment 1 Dave Jones 2004-04-13 11:58:48 EDT
"In addition, the kernel source on the download site does not match
the binaries."

Yes it does. It's the exact source I fed to our build system.

"Nor does it compile"

If you use the same config options we used to generate our kernels, it
compiles just fine.  We cannot test every possible combination of
options. For this reason, user-compiled kernels are unsupported.

Comment 2 Lee Olsen 2004-04-14 13:10:26 EDT
You're right. Your web site was taking me to "updates" rather than the
base release.
I'll file separate kernel bugs related to ACPI and ide-probe module
compilation problems if current kernels have the same problems 2174 does.

Note You need to log in before you can comment on or make changes to this bug.